# CreateByoip

## 1. 接口描述

本接口(CreateByoip)用于提交自带 IP 段（BYOIP）创建 CIDR。返回 RPKI/IRR 校验失败列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                                                                   | 描述                                             |
| --------------- | -- | -------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| byoipList       | 是  | Array of [ByoipCreateItem](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#byoipcreateitem) | 待创建的 BYOIP 列表。                                 |
| marketingInfo   | 否  | [MarketingInfo](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#marketinginfo)              | 市场营销相关选项。                                      |
| resourceGroupId | 否  | String                                                                                                               | <p>创建后 BYOIP 所在的资源组ID。</p><p>如不指定则放入默认资源组。</p> |
| tags            | 否  | [TagAssociation](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#tagassociation)            | <p>创建 BYOIP 时关联的标签。</p><p>注意：关联「标签键」不能重复。</p>  |

## 3. 响应结果

| 参数名称           | 类型              | 描述                                                       |
| -------------- | --------------- | -------------------------------------------------------- |
| requestId      | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| rpkiFailedList | Array of String | RPKI 校验失败的 BYOIP 列表。                                     |
| irrFailedList  | Array of String | IRR 校验失败的 BYOIP 列表。                                      |
| byoipIds       | Array of String | 创建成功的 BYOIP ID 列表。                                       |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 创建 BYOIP。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateByoip
<Common Request Params>

Request：
{
  "byoipList": [
    {
      "cidrBlock": "88.0.2.0/24",
      "networkType": "PremiumBGP",
      "regionId": "asia-east-1",
      "asn": 62610
    }
  ]
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "rpkiFailedList": [],
    "irrFailedList": [],
    "byoipIds":["<byoipId1>"]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                              | 说明                           |
| ------- | ------------------------------------------------ | ---------------------------- |
| 400     | INVALID\_BYOIP\_ASN\_INVALID                     | BYOIP ASN号非法。                |
| 400     | INVALID\_BYOIP\_DUPLICATE                        | BYOIP 重复指定。                  |
| 400     | INVALID\_BYOIP\_IS\_ALREADY\_EXIST               | BYOIP已经存在。                   |
| 400     | INVALID\_CIDR\_ADDRESS                           | IP地址不合法。                     |
| 400     | INVALID\_CIDR\_FORMAT                            | 指定的cidr格式不正确。                |
| 400     | INVALID\_IPV6\_CIDR\_RANGE                       | CIDR地址段范围不合法。                |
| 400     | INVALID\_IPV6\_SUBNET\_MASK\_LENGTH              | IPv6子网掩码长度不符合范围。             |
| 404     | INVALID\_REGION\_NOT\_FOUND                      | 指定的可用区不存在。                   |
| 400     | OPERATION\_DENIED\_EIP\_UNSUPPORT\_NETWORK\_TYPE | EIP网络计费方式不支持。                |
| 400     | OPERATION\_DENIED\_NOT\_SUPPORT\_BYOIP\_SELF     | 当前所选 BYOIP 网络类型在指定区域不支持自助宣告。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/cidr-block/createbyoip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
